Bug 751727 - CVE-2011-4120 pam_yubico: Authentication bypass via NULL password [epel-all]
Summary: CVE-2011-4120 pam_yubico: Authentication bypass via NULL password [epel-all]
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: pam_yubico
Version: el6
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Dennis Gilmore
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: CVE-2011-4120
TreeView+ depends on / blocked
 
Reported: 2011-11-07 11:10 UTC by Jan Lieskovsky
Modified: 2013-05-16 14:54 UTC (History)
4 users (show)

Fixed In Version: pam_yubico-2.10-1.el6
Doc Type: Release Note
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-02-28 21:01:01 UTC


Attachments (Terms of Use)

Description Jan Lieskovsky 2011-11-07 11:10:52 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected Fedora
versions.

For comments that are specific to the vulnerability please use bugs filed
against "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When creating a Bodhi update request, please include the bug IDs of the
respective parent bugs filed against the "Security Response" product.
Please mention CVE ids in the RPM changelog when available.

Bodhi update submission link:
https://admin.fedoraproject.org/updates/new/?type_=security&bugs=733322

Please note: this issue affects multiple supported versions of Fedora EPEL.
Only one tracking bug has been filed; please only close it when all
affected versions are fixed.


[bug automatically created by: add-tracking-bugs]

Comment 1 Fedora Update System 2012-02-10 01:08:05 UTC
pam_yubico-2.10-1.el6,ykclient-2.7-1.el6,libyubikey-1.7-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/pam_yubico-2.10-1.el6,ykclient-2.7-1.el6,libyubikey-1.7-2.el6

Comment 2 Fedora Update System 2012-02-10 18:36:47 UTC
Package pam_yubico-2.10-1.el6, ykclient-2.7-1.el6, libyubikey-1.7-2.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing pam_yubico-2.10-1.el6 ykclient-2.7-1.el6 libyubikey-1.7-2.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2012-0417/pam_yubico-2.10-1.el6,ykclient-2.7-1.el6,libyubikey-1.7-2.el6
then log in and leave karma (feedback).

Comment 3 Fedora Update System 2012-02-28 21:01:01 UTC
pam_yubico-2.10-1.el6, ykclient-2.7-1.el6, libyubikey-1.7-2.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 4 andreas.lindqvist 2013-05-16 14:54:00 UTC
The yubikey software packages in EPEL5 is still outdated.

pam_yubico-2.4-1.el5.i386.rpm                                             24-Feb-2011 17:53   17K  RPM Package
pam_yubico-2.4-1.el5.x86_64.rpm                                           24-Feb-2011 17:53   17K  RPM Package

ykclient-2.3-1.el5.i386.rpm                                               08-Jul-2009 04:02   20K  RPM Package
ykclient-2.3-1.el5.x86_64.rpm                                             08-Jul-2009 04:02   19K  RPM Package

I request new packages to be built for EPEL5.


Note You need to log in before you can comment on or make changes to this bug.